=begin
###
Name:        AddSceneLayers.rb
Description: Adds scene layers
Author:      TIG (c) 2011
Usage:       Menu Plugins > Add Scene Layers
History: 1.0 20110927 First issue.
###
=end
###
require 'sketchup.rb'
###
module TIG
  def self.addSceneLayers()
    layerprefix = "SCENE-" ### edit this to suit your requirements
   	model=Sketchup.active_model
    pages=model.pages
	if not pages[0]
	  UI.messagebox("There are NO Scenes !")
	  return nil
	end
    layers=model.layers
    model.start_operation("Add Scene Layers")
    pages.each{|p|
        page=p
        pagename=page.name
        pagelayer=layers.add(layerprefix+pagename)
        pagelayer.page_behavior=LAYER_IS_HIDDEN_ON_NEW_PAGES###
        model.pages.each{|p|p.set_visibility(pagelayer, false)}###
        page.set_visibility(pagelayer, true)###
    }
    model.commit_operation
  end
  if not file_loaded?(File.basename(__FILE__))
    UI.menu("Plugins").add_item("Add Scene Layers"){self.addSceneLayers()}
  end
  file_loaded(File.basename(__FILE__))
end ### module


#----------------------------------------------------------------------------
